#!/bin/sh

rm -- "${HOME}/lists/"*.users.new

for listfile in /home/*/.townlists; do
	user="$(basename "$(dirname "$listfile")")"
	for x in $(grep '^[a-z0-9_]\{1,16\}$' "$listfile"); do
		echo "$user" >> "${HOME}/lists/${x}.users.new"
	done
done

rm -- "${HOME}/lists"/*.users
for i in "${HOME}/lists"/*.users.new; do
	mv -- "$i" "$(dirname "$i")"/"$(basename "$i" .new)"
done
